-- 12.13  新增阶梯价格特需
CREATE TABLE `ecw_product_price_step_special` (
                                                  `id` bigint NOT NULL AUTO_INCREMENT,
                                                  `product_price_id` bigint DEFAULT NULL COMMENT '路线价格ID',
                                                  `product_price_step_id` bigint DEFAULT NULL COMMENT '阶梯价格ID',
                                                  `special_dict_type` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '特殊需求字典',
                                                  `transport_price` decimal(8,2) NOT NULL DEFAULT '0.00' COMMENT '运费',
                                                  `transport_price_unit` bigint NOT NULL DEFAULT '1' COMMENT '运费金额单位',
                                                  `transport_volume_unit` bigint DEFAULT NULL COMMENT '运费体积单位',
                                                  `clearance_price` decimal(8,2) NOT NULL DEFAULT '0.00' COMMENT '清关费用',
                                                  `clearance_price_unit` bigint NOT NULL DEFAULT '1' COMMENT '清关金额单位',
                                                  `clearance_volume_unit` bigint DEFAULT NULL COMMENT '清关体积单位',
                                                  `all_price` decimal(8,2) NOT NULL DEFAULT '0.00' COMMENT '全包价格',
                                                  `all_price_unit` bigint NOT NULL DEFAULT '1' COMMENT '全包价格单位',
                                                  `all_volume_unit` bigint DEFAULT NULL COMMENT '全包价体积单位',
                                                  `status` tinyint(1) DEFAULT '0' COMMENT '是否展示 默认为展示',
                                                  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '创建者',
                                                  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '更新者',
                                                  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                                  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
                                                  PRIMARY KEY (`id`) USING BTREE,
                                                  KEY `idx_special_price_id` (`product_price_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=5393645 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='阶梯价格特殊需求';


--  阶梯表新增字段
alter table `ecw_product_price_step` add column `price_type` tinyint DEFAULT '0' COMMENT '0-运费，1-全包价, 2-清关费';


--  渠道管理新增国家设置
alter table `ecw_channel` add column `country_id` bigint DEFAULT 0 COMMENT '国家id(默认位为0，表示全部)' after `code`;

-- 路线重量上限
alter table `ecw_product_price` add column `weight_limit` decimal(8,2) DEFAULT '0.00' COMMENT '路线重量上限';
--  阶梯排序
alter table `ecw_product_price_step` add column `rank_num` int DEFAULT '1' COMMENT '阶梯排序';


-- 刷新阶梯排序
-- 1、创建临时表
create table ecw_product_price_step_bak like ecw_product_price_step;

-- 2、插入数据
INSERT INTO ecw_product_price_step_bak SELECT
t.id,
t.product_price_id,
t.start_num,
t.end_num,
t.weight_unit,
t.transport_price,
t.transport_price_unit,
t.transport_volume_unit,
t.clearance_price,
t.clearance_price_unit,
t.clearance_volume_unit,
t.all_price,
t.all_price_unit,
t.all_volume_unit,
t.creator,
t.create_time,
t.updater,
t.update_time,
t.deleted,
t.price_type,
Rank() over ( PARTITION BY product_price_id ORDER BY start_num ) AS rank_num
FROM
	ecw_product_price_step t;


-- 3、更新数据
update ecw_product_price_step t LEFT JOIN ecw_product_price_step_bak t1 on t.id=t1.id set t.rank_num=t1.rank_num;

-- 价格包装单位收费
CREATE TABLE `ecw_product_price_packaging` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `product_price_id` bigint NOT NULL COMMENT '产品价格ID',
  `packaging_types` varchar(255) COLLATE utf8mb4_general_ci NOT NULL COMMENT '包装类型，多个逗号连接',
  `packaging_price` decimal(8,2) DEFAULT NULL COMMENT '包装单位收费',
  `packaging_price_unit` bigint DEFAULT NULL COMMENT '包装单位收费金额单位',
  `packaging_volume_unit` bigint DEFAULT NULL COMMENT '包装单位收费体积单位',
  `rank_num` int DEFAULT '1',
  `price_type` tinyint DEFAULT '0' COMMENT '0-运费，1-全包价, 2-清关费',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='路线价格包装收费';

-- 阶梯价格包装单位收费
CREATE TABLE `ecw_product_price_step_packaging` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `product_price_id` bigint NOT NULL COMMENT '产品价格ID',
  `product_price_step_id` bigint DEFAULT NULL COMMENT '阶梯价格ID',
  `packaging_types` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '包装类型，多个逗号连接',
  `packaging_price` decimal(8,2) DEFAULT NULL COMMENT '包装单位收费',
  `packaging_price_unit` bigint DEFAULT NULL COMMENT '包装单位收费金额单位',
  `packaging_volume_unit` bigint DEFAULT NULL COMMENT '包装单位收费体积单位',
  `rank_num` int DEFAULT '1',
  `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;


INSERT INTO `system_dict_data` (`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`)
VALUES (20, '路线重量超限异常', 'line_weight_exception', 'order_error_type', 0, 'default', '', NULL, '1', now(), '115', now(), b'0', 'line weight exception');

INSERT INTO `system_dict_type` (`name`, `type`, `status`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`) VALUES
( '路线重量超限异常处理结果', 'line_weight_exception_result', 0, NULL, '1', now(), '1', now(), b'0');

INSERT INTO `system_dict_data` (`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`)
VALUES (1, '允许超出上限', 'allow_over', 'line_weight_exception_result', 0, 'default', '', NULL, '1', now(), '1', now(), b'0', 'allow over');

INSERT INTO `system_dict_data` (`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`)
VALUES (2, '修改路线重量', 'change_line_weight', 'line_weight_exception_result', 0, 'default', '', NULL, '1', now(), '1', now(), b'0', 'change line weight');

INSERT INTO `system_dict_data` (`sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`)
VALUES (3, '不许超出', 'not_allow_over', 'line_weight_exception_result', 0, 'default', '', NULL, '1', now(), '1', now(), b'0', 'not allow over');





-- 2023-12-20 yanghao 线路渠道清关费包装类型表
CREATE TABLE `ecw_line_channel_packaging`
(
    `id`               bigint   NOT NULL AUTO_INCREMENT COMMENT '主键',
    `channel_ids`      varchar(128)   NOT NULL COMMENT '渠道ID列表',
    `line_id`          bigint   NOT NULL COMMENT '线路ID',
    `packaging_types`  varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '包装类型 eg:1,2,3',
    `air_weight_limit` decimal(8, 2) NULL DEFAULT NULL COMMENT '空运重量上限',
    `clearance_price_unit`  bigint NULL DEFAULT NULL COMMENT '清关金额单位',
    `clearance_volume_unit` bigint NULL DEFAULT NULL COMMENT '清关体积单位',
    `creator`          varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
    `create_time`      datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`          varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
    `update_time`      datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`          bit(1)   NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE,
    INDEX `idx_line_id`(`line_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '线路渠道清关费包装类型表' ROW_FORMAT = Dynamic;


-- 2023-12-20 yanghao 线路渠道清关费阶梯价格
CREATE TABLE `ecw_line_channel_price_step_clearance`
(
    `id`                    bigint        NOT NULL AUTO_INCREMENT COMMENT '主键',
    `line_id`               bigint        NOT NULL COMMENT '线路ID',
    `packaging_id`          bigint        NOT NULL COMMENT '线路渠道包装表id',
    `start_num`             decimal(8, 2) NOT NULL COMMENT '起始数量',
    `end_num`               decimal(8, 2) NULL DEFAULT NULL COMMENT '结束数量',
    `clearance_price`       decimal(8, 2) NULL DEFAULT NULL COMMENT '清关费用',
    `creator`               varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
    `create_time`           datetime      NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `updater`               varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
    `update_time`           datetime      NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `deleted`               bit(1)        NOT NULL DEFAULT b'0' COMMENT '是否删除',
    PRIMARY KEY (`id`) USING BTREE,
    INDEX `idx_line_id`(`line_id`) USING BTREE,
    INDEX `idx_packaging_id`(`packaging_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '线路渠道清关费阶梯价格' ROW_FORMAT = Dynamic;

-- 报价单和订单品名单价组成部分添加包装单价值
alter table ecw_offer_prod add column `packaging_clearance_fee_price` decimal(15,2) DEFAULT '0.00' COMMENT '包装清关费单价' after `brand_freight_price`;
alter table ecw_offer_prod add column `packaging_freight_price` decimal(15,2) DEFAULT '0.00' COMMENT '包装运费单价' after `packaging_clearance_fee_price`;
alter table ecw_order_item add column `packaging_clearance_fee_price` decimal(15,2) DEFAULT '0.00' COMMENT '包装清关费单价' after `brand_freight_price`;
alter table ecw_order_item add column `packaging_freight_price` decimal(15,2) DEFAULT '0.00' COMMENT '包装运费单价' after `packaging_clearance_fee_price`;



-- 修改字典表的字符集排序类型。 不修改会导致与其他字符集不一致而无法关联查询
ALTER TABLE system_dict_data MODIFY COLUMN `value` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci;


-- 20240122 yanghao 添加订单表完成入仓时的总箱数和总数量
alter table ecw_order add column `sum_cartons_num_finished_warehouse_in` decimal(15,2) default 0 COMMENT '打包前入仓箱数';
alter table ecw_order add column `sum_quantity_all_finished_warehouse_in` decimal(15,2) default 0 COMMENT '打包前入仓总数量';

-- 20240125 yanghao 修改类型
alter table ecw_order modify column `sum_cartons_num_finished_warehouse_in` int default 0 COMMENT '打包前入仓箱数';
alter table ecw_order modify column `sum_quantity_all_finished_warehouse_in` int default NULL COMMENT '打包前入仓总数量';
-- 20240125 yanghao 添加订单表前一次打包的统计数据
alter table ecw_order add column `sum_cartons_num_prev_packed` int default 0 COMMENT '前一次打包箱数';
alter table ecw_order add column `sum_quantity_all_prev_packed` int default NULL COMMENT '前一次打包总数量';
alter table ecw_order add column `sum_weight_prev_packed` decimal(15,2) default 0 COMMENT '前一次打包重量';
alter table ecw_order add column `sum_volume_prev_packed` decimal(15,2) default 0 COMMENT '前一次打包体积';

alter table ecw_order add column `first_stocked_time` datetime default NULL COMMENT '首次完成备货时间';

-- 20240127 huyf 理货和合包装箱信息表
CREATE TABLE `ecw_box_order_check_info` (
                                            `id` bigint NOT NULL AUTO_INCREMENT,
                                            `shipment_id` bigint DEFAULT NULL COMMENT '出货单ID',
                                            `pkg_id` bigint DEFAULT NULL COMMENT '合包id',
                                            `order_id` bigint DEFAULT NULL COMMENT '订单ID',
                                            `order_num_code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '编码',
                                            `type` tinyint DEFAULT NULL COMMENT '0-理货，1-合包',
                                            `creator` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '创建者',
                                            `create_time` datetime NOT NULL COMMENT '创建时间',
                                            `updater` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '更新者',
                                            `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                            `deleted` bit(1) DEFAULT b'0' COMMENT '是否删除',
                                            PRIMARY KEY (`id`),
                                            KEY `order_num_code` (`order_num_code`) USING BTREE,
                                            KEY `idx_order_id` (`order_id`),
                                            KEY `idx_shipment_order_id` (`shipment_id`,`order_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=42491 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='理货和合包标签表';

INSERT INTO `jiedao`.`system_dict_data`(`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`) VALUES (2751, 30, '业绩明细导出', '30', 'download_type', 0, 'default', '', '业绩明细导出', '115', '2024-01-28 09:43:42', '115', '2024-01-28 09:43:42', b'0', 'Performance Detail Export');



-- 添加菜单

SET FOREIGN_KEY_CHECKS = 0;

INSERT INTO `jiedao`.`system_menu` (`id`, `name`, `permission`, `menu_type`, `sort`, `parent_id`, `path`, `icon`, `component`, `status`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `is_show_in_menu_bar`, `name_en`, `keepalive`, `redirect`, `badge_field`) VALUES (2302, '全部路线列表', '', 2, 23, 1568, 'all-routes', 'row', 'ecw/offer/all-routes-list', 0, '115', '2023-12-25 21:11:55', '115', '2024-01-01 20:12:01', b'0', b'1', 'q', b'0', NULL, NULL);

INSERT INTO `jiedao`.`system_menu` (`id`, `name`, `permission`, `menu_type`, `sort`, `parent_id`, `path`, `icon`, `component`, `status`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `is_show_in_menu_bar`, `name_en`, `keepalive`, `redirect`, `badge_field`) VALUES (2303, '渠道列表详情', '', 2, 24, 1515, 'channel-route', '#', 'ecw/offer/channel-route', 0, '122', '2023-12-27 22:54:11', '122', '2023-12-31 17:35:26', b'0', b'0', 'Channel List Details', b'0', NULL, NULL);

INSERT INTO `jiedao`.`system_menu` (`id`, `name`, `permission`, `menu_type`, `sort`, `parent_id`, `path`, `icon`, `component`, `status`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `is_show_in_menu_bar`, `name_en`, `keepalive`, `redirect`, `badge_field`) VALUES (2304, '路线重量超限异常', 'ecw:exception:lineWeightException', 3, 29, 1629, '', '', '', 0, '115', '2023-12-29 11:30:46', '115', '2024-01-09 13:21:04', b'0', b'1', 'line weight exception', b'0', NULL, NULL);

INSERT INTO `jiedao`.`system_menu` (`id`, `name`, `permission`, `menu_type`, `sort`, `parent_id`, `path`, `icon`, `component`, `status`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `is_show_in_menu_bar`, `name_en`, `keepalive`, `redirect`, `badge_field`) VALUES (2305, '查看渠道详情', '', 2, 25, 1515, 'view_channel', '#', 'ecw/channel/edit', 0, '115', '2024-01-21 14:56:04', '115', '2024-01-21 14:57:10', b'0', b'0', 'View channel details', b'0', NULL, NULL);

INSERT INTO `jiedao`.`system_menu` (`id`, `name`, `permission`, `menu_type`, `sort`, `parent_id`, `path`, `icon`, `component`, `status`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `is_show_in_menu_bar`, `name_en`, `keepalive`, `redirect`, `badge_field`) VALUES (2306, '查看渠道详情', 'ecw:channel:view', 3, 3, 1887, '', '', '', 0, '115', '2024-01-21 15:08:38', '115', '2024-01-21 15:08:38', b'0', b'1', 'View channels', b'0', NULL, NULL);

UPDATE `jiedao`.`system_menu` SET `name` = '创建待分配客户', `permission` = 'ecw:customer:create', `menu_type` = 3, `sort` = 2, `parent_id` = 1425, `path` = '', `icon` = '', `component` = '', `status` = 0, `creator` = '', `create_time` = '2022-05-26 20:19:48', `updater` = '1', `update_time` = '2023-12-07 17:41:32', `deleted` = b'0', `is_show_in_menu_bar` = b'1', `name_en` = 'Customer Creation', `keepalive` = b'0', `redirect` = NULL, `badge_field` = NULL WHERE `id` = 1427;

UPDATE `jiedao`.`system_menu` SET `name` = '编辑渠道', `permission` = '', `menu_type` = 2, `sort` = 11, `parent_id` = 1515, `path` = 'edit_channel', `icon` = 'button', `component` = 'ecw/channel/edit', `status` = 0, `creator` = '119', `create_time` = '2022-06-11 22:57:55', `updater` = '115', `update_time` = '2024-01-21 14:56:49', `deleted` = b'0', `is_show_in_menu_bar` = b'0', `name_en` = 'Edit Channel', `keepalive` = b'0', `redirect` = NULL, `badge_field` = NULL WHERE `id` = 1466;

UPDATE `jiedao`.`system_menu` SET `name` = '部门业绩目标', `permission` = '', `menu_type` = 2, `sort` = 21, `parent_id` = 1515, `path` = 'dept-target', `icon` = 'druid', `component` = 'ecw/deptTarget/index', `status` = 0, `creator` = '', `create_time` = '2022-07-31 18:47:31', `updater` = '115', `update_time` = '2024-01-14 16:18:19', `deleted` = b'0', `is_show_in_menu_bar` = b'1', `name_en` = 'Department performance management', `keepalive` = b'0', `redirect` = NULL, `badge_field` = NULL WHERE `id` = 1648;

UPDATE `jiedao`.`system_menu` SET `name` = '导出所选', `permission` = 'ecw:order:stockingList:export_selected', `menu_type` = 3, `sort` = 1, `parent_id` = 2225, `path` = '', `icon` = '', `component` = '', `status` = 0, `creator` = '119', `create_time` = '2023-05-29 00:35:09', `updater` = '115', `update_time` = '2023-12-01 20:13:33', `deleted` = b'0', `is_show_in_menu_bar` = b'1', `name_en` = 'Export Selected', `keepalive` = b'0', `redirect` = NULL, `badge_field` = NULL WHERE `id` = 2226;

UPDATE `jiedao`.`system_menu` SET `name` = '导出搜索', `permission` = 'ecw:order:stockingList:export_search', `menu_type` = 3, `sort` = 1, `parent_id` = 2225, `path` = '', `icon` = '', `component` = '', `status` = 0, `creator` = '119', `create_time` = '2023-05-29 00:35:30', `updater` = '115', `update_time` = '2023-12-01 20:13:39', `deleted` = b'0', `is_show_in_menu_bar` = b'1', `name_en` = 'Export Search', `keepalive` = b'0', `redirect` = NULL, `badge_field` = NULL WHERE `id` = 2227;

UPDATE `jiedao`.`system_menu` SET `name` = '备货权限', `permission` = 'ecw:order:stockingList:stocking', `menu_type` = 3, `sort` = 1, `parent_id` = 2225, `path` = '', `icon` = '', `component` = '', `status` = 0, `creator` = '119', `create_time` = '2023-05-29 00:36:15', `updater` = '115', `update_time` = '2023-12-01 20:13:46', `deleted` = b'0', `is_show_in_menu_bar` = b'1', `name_en` = 'Stocking', `keepalive` = b'0', `redirect` = NULL, `badge_field` = NULL WHERE `id` = 2228;

UPDATE `jiedao`.`system_menu` SET `name` = '打印标签', `permission` = 'ecw:order:stockingList:print_tag', `menu_type` = 3, `sort` = 1, `parent_id` = 2225, `path` = '', `icon` = '', `component` = '', `status` = 0, `creator` = '119', `create_time` = '2023-05-29 00:37:00', `updater` = '115', `update_time` = '2023-12-01 20:13:51', `deleted` = b'0', `is_show_in_menu_bar` = b'1', `name_en` = 'Print Tag', `keepalive` = b'0', `redirect` = NULL, `badge_field` = NULL WHERE `id` = 2229;

UPDATE `jiedao`.`system_menu` SET `name` = '批量修改空运价格', `permission` = '', `menu_type` = 2, `sort` = 2, `parent_id` = 1568, `path` = 'batch-edit-air', `icon` = 'guide', `component` = 'ecw/productPrice/batchEditAir', `status` = 0, `creator` = '115', `create_time` = '2023-05-31 22:34:29', `updater` = '115', `update_time` = '2023-12-28 23:21:07', `deleted` = b'0', `is_show_in_menu_bar` = b'1', `name_en` = 'Batch Modify Air Route Price', `keepalive` = b'0', `redirect` = NULL, `badge_field` = NULL WHERE `id` = 2233;

UPDATE `jiedao`.`system_menu` SET `name` = '编辑空运价格', `permission` = '', `menu_type` = 2, `sort` = 3, `parent_id` = 1568, `path` = 'product-price/edit-air', `icon` = 'guide', `component` = 'ecw/productPrice/editAir', `status` = 0, `creator` = '115', `create_time` = '2023-06-01 10:52:55', `updater` = '115', `update_time` = '2023-12-27 22:27:36', `deleted` = b'0', `is_show_in_menu_bar` = b'1', `name_en` = 'Edit Air Route Price', `keepalive` = b'0', `redirect` = NULL, `badge_field` = NULL WHERE `id` = 2237;

UPDATE `jiedao`.`system_menu` SET `name` = '空运批量加价', `permission` = '', `menu_type` = 2, `sort` = 0, `parent_id` = 1568, `path` = 'batch-increase-air', `icon` = 'checkbox', `component` = 'ecw/productPrice/batchIncreaseAir', `status` = 0, `creator` = '115', `create_time` = '2023-09-26 23:31:01', `updater` = '115', `update_time` = '2023-12-30 15:34:50', `deleted` = b'0', `is_show_in_menu_bar` = b'1', `name_en` = 'Batch Increase', `keepalive` = b'0', `redirect` = NULL, `badge_field` = NULL WHERE `id` = 2275;

UPDATE `jiedao`.`system_menu` SET `name` = '回收客户', `permission` = 'ecw:customer:treat-recovery', `menu_type` = 3, `sort` = 17, `parent_id` = 1425, `path` = '', `icon` = '', `component` = '', `status` = 0, `creator` = '122', `create_time` = '2023-10-22 23:44:16', `updater` = '115', `update_time` = '2023-12-08 10:43:55', `deleted` = b'0', `is_show_in_menu_bar` = b'1', `name_en` = 'recovery', `keepalive` = b'0', `redirect` = NULL, `badge_field` = NULL WHERE `id` = 2283;

-- 字典类型修改

UPDATE `jiedao`.`system_dict_type` SET `name` = '清关费重量上限', `type` = 'custom _clearance', `status` = 0, `remark` = NULL, `creator` = '122', `create_time` = '2023-10-24 20:01:59', `updater` = '122', `update_time` = '2024-01-10 10:22:04', `deleted` = b'0' WHERE `id` = 420;

UPDATE `jiedao`.`system_dict_type` SET `name` = '路线重量超限异常处理结果', `type` = 'line_weight_exception_result', `status` = 0, `remark` = NULL, `creator` = '1', `create_time` = '2023-12-28 22:23:09', `updater` = '1', `update_time` = '2023-12-28 22:23:09', `deleted` = b'0' WHERE `id` = 426;


SET FOREIGN_KEY_CHECKS = 1;


-- 2024-01-29 zhengYi 未报价相关异常信息补充商品id值做唯一判断
alter table ecw_order_exception add column `prod_id` bigint DEFAULT NULL COMMENT '商品ID';

-- 2024-01-31 yanghao 订单项表快递单号长度修改为2048
alter table ecw_order_item modify column express_no varchar(2048) default null COMMENT '快递单号';

-- 2024-02-26 yanghao 更新客户操作日志类型
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`)
VALUES (NULL, 16, '客户移交审批', '16', 'customer_operate_type', 0, 'default', '', NULL, '1', '2022-11-18 00:18:34', '1', '2023-01-15 18:09:43', b'0', 'customer transfer apply approve');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`)
VALUES (NULL, 20, '修改客户经理下成交客户的业绩类型', '20', 'customer_operate_type', 0, 'default', '', NULL, '1', '2022-11-18 00:18:34', '1', '2023-01-15 18:09:43', b'0', 'update deal customer to old by customer service');
INSERT INTO `system_dict_data` (`id`, `sort`, `label`, `value`, `dict_type`, `status`, `color_type`, `css_class`, `remark`, `creator`, `create_time`, `updater`, `update_time`, `deleted`, `label_en`)
VALUES (NULL, 21, '修改客户业绩类型', '21', 'customer_operate_type', 0, 'default', '', NULL, '1', '2022-11-18 00:18:34', '1', '2023-01-15 18:09:43', b'0', 'update customer new/old');





-- 线路补充模板标题字段设置 2024-03-23 zhengyi
alter table ecw_warehouse_line add column `temp_title_en` varchar(200) default NULL COMMENT '模版标题英文';
alter table ecw_warehouse_line add column `temp_title_zh` varchar(200) default NULL COMMENT '模版标题中文';