SET FOREIGN_KEY_CHECKS=0;

ALTER TABLE `ecw_bank_account` COLLATE = utf8mb4_general_ci;

ALTER TABLE `ecw_bank_account` ADD COLUMN `ba_country` bigint NULL DEFAULT NULL COMMENT '国家' AFTER `ba_type`;

ALTER TABLE `ecw_bank_account` ADD COLUMN `ba_income_belong` bigint NULL DEFAULT NULL COMMENT '归属' AFTER `ba_country`;

ALTER TABLE `ecw_bank_account` ADD COLUMN `ba_currency` int NULL DEFAULT NULL COMMENT '币种' AFTER `ba_income_belong`;

ALTER TABLE `ecw_bank_account` ADD COLUMN `ba_balance` decimal(10, 2) NULL DEFAULT NULL COMMENT '余额' AFTER `ba_currency`;

ALTER TABLE `ecw_bank_account` MODIFY COLUMN `ba_account_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '户名' AFTER `id`;

ALTER TABLE `ecw_bank_account` MODIFY COLUMN `ba_bank_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '开户银行' AFTER `ba_account_name`;

ALTER TABLE `ecw_bank_account` MODIFY COLUMN `ba_account_num` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '银行账号' AFTER `ba_bank_name`;

ALTER TABLE `ecw_bank_account` MODIFY COLUMN `ba_swift_code` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '银行代码' AFTER `ba_account_num`;

ALTER TABLE `ecw_bank_account` MODIFY COLUMN `ba_bank_add` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '开户银行地址' AFTER `ba_swift_code`;

ALTER TABLE `ecw_bank_account` MODIFY COLUMN `source` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '数据来源字典（pc端，mobile端）' AFTER `ba_balance`;

ALTER TABLE `ecw_bank_account` MODIFY COLUMN `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '创建者' AFTER `status`;

ALTER TABLE `ecw_bank_account` MODIFY COLUMN `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者' AFTER `create_time`;

ALTER TABLE `ecw_receipt` ADD COLUMN `receipt_item_status` int NULL DEFAULT NULL COMMENT '明细状态' AFTER `order_no`;

ALTER TABLE `ecw_receipt` ADD COLUMN `invoicing_status` int NULL DEFAULT NULL COMMENT '开票状态' AFTER `receipt_item_status`;

ALTER TABLE `ecw_receipt` ADD COLUMN `invoice_data_status` int NULL DEFAULT NULL COMMENT '开票资料状态' AFTER `invoicing_status`;

ALTER TABLE `ecw_receipt` ADD COLUMN `invoice_id` bigint NULL DEFAULT NULL COMMENT '开票id' AFTER `invoice_data_status`;

ALTER TABLE `ecw_receipt` ADD COLUMN `generate_path` int NULL DEFAULT 0 COMMENT '生成路径' AFTER `invoice_id`;

CREATE TABLE `ecw_receipt_bank_writeoff_range`  (
                                                             `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
                                                             `write_off_down` int NOT NULL DEFAULT 10000 COMMENT '核销比例下界（除以100）',
                                                             `write_off_up` int NOT NULL DEFAULT 10000 COMMENT '核销比例上界（除以100）',
                                                             `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                             `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                                             `creator` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
                                                             `updater` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
                                                             `deleted` bit(1) DEFAULT b'0' COMMENT '删除标志',
                                                             PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '银行收款明细自动核销比例设置表' ROW_FORMAT = DYNAMIC;

CREATE TABLE `ecw_receipt_invoice`  (
                                                 `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
                                                 `invoice_no` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '开票编号',
                                                 `receipt_id` bigint NOT NULL COMMENT '收款单id',
                                                 `receipt_no` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '收款单号（例：SKD001）',
                                                 `apply_user_id` bigint NULL DEFAULT NULL COMMENT '申请人id',
                                                 `invoice_remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '开票资料备注',
                                                 `apply_user_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '申请人姓名',
                                                 `invoice_header` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '发票抬头',
                                                 `taxpayer` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '纳税人识别号',
                                                 `tax_rate` decimal(10, 2) NULL DEFAULT NULL COMMENT '税率',
                                                 `invoice_phone` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '开票电话',
                                                 `account_bank` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '开户行',
                                                 `invoice_address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '开票地址',
                                                 `account_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '开户账号',
                                                 `invoice_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '发票号码',
                                                 `invoice_item` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '开票项目',
                                                 `invoice_type_id` int NULL DEFAULT NULL COMMENT '开票类型(字典表 invoicing_type)',
                                                 `invoice_info_save_time` datetime NULL DEFAULT NULL COMMENT '发票信息最后修改时间',
                                                 `invoicer_id` bigint NULL DEFAULT NULL COMMENT '开发票人id',
                                                 `invoice_time` datetime NULL DEFAULT NULL COMMENT '开票时间',
                                                 `currency_id` bigint NULL DEFAULT NULL COMMENT '开票币种符号',
                                                 `invoice_money` decimal(15, 2) NULL DEFAULT NULL COMMENT '开票金额',
                                                 `invoice_info_remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '开票信息备注',
                                                 `cancel_user_id` bigint NULL DEFAULT NULL COMMENT '开票取消人',
                                                 `cancel_time` datetime NULL DEFAULT NULL COMMENT '开票取消时间',
                                                 `creator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
                                                 `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                 `updater` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
                                                 `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                                 `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
                                                 PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '收款单开票信息' ROW_FORMAT = Dynamic;

CREATE TABLE `ecw_receipt_invoice_log` (
                                           `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
                                           `invoice_id` bigint DEFAULT NULL COMMENT '发票id',
                                           `invoicing_link` int DEFAULT NULL COMMENT '开票环节',
                                           `operator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '操作人',
                                           `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '备注',
                                           `bpm_status` int DEFAULT NULL COMMENT '审批流程',
                                           `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                           `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                           `creator` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建人',
                                           `updater` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '更新人',
                                           `deleted` bit(1) DEFAULT b'0' COMMENT '删除标志',
                                           PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='收款单日志';

ALTER TABLE `ecw_receipt_item` ADD COLUMN `serial_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '流水号' AFTER `bmp_id`;

ALTER TABLE `ecw_receipt_item` ADD COLUMN `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注' AFTER `serial_number`;

ALTER TABLE `ecw_receipt_item` ADD COLUMN `approval_time` datetime NULL DEFAULT NULL COMMENT '审核通过时间' AFTER `remark`;

ALTER TABLE `ecw_receipt_item` MODIFY COLUMN `rate` decimal(10, 6) NULL DEFAULT NULL COMMENT '收款汇率' AFTER `currency_id`;

CREATE TABLE `ecw_receipt_log` (
                                   `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
                                   `receipt_id` bigint DEFAULT NULL COMMENT '收款单id',
                                   `receipt_link` int DEFAULT NULL COMMENT '收款单环节',
                                   `operator` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '操作人',
                                   `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '备注',
                                   `bpm_status` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '审批流程',
                                   `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                   `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                   `creator` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建人',
                                   `updater` varchar(50) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '更新人',
                                   `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除标志',
                                   PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='收款单日志';

ALTER TABLE `ecw_receivable` ADD COLUMN `base_amount` decimal(15, 2) NULL DEFAULT NULL COMMENT '基准金额' AFTER `remark`;

ALTER TABLE `ecw_receivable` ADD COLUMN `base_currency_id` int NULL DEFAULT NULL COMMENT '基准币种' AFTER `base_amount`;

ALTER TABLE `ecw_receivable` ADD COLUMN `write_off_amount` decimal(15, 2) NOT NULL DEFAULT 0.00 COMMENT '核销金额' AFTER `base_currency_id`;

ALTER TABLE `ecw_receivable` MODIFY COLUMN `exchange_rate` decimal(15, 6) NULL DEFAULT NULL COMMENT '汇率' AFTER `fee_type`;

ALTER TABLE `ecw_receivable` ADD INDEX `key_receipt_id`(`deleted` ASC, `receipt_id` ASC) USING BTREE;

CREATE TABLE `ecw_receivable_write_off_record` (
                                                   `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
                                                   `receivable_id` bigint DEFAULT NULL COMMENT '应收款id',
                                                   `receipt_item_id` bigint DEFAULT NULL COMMENT '银行收款明细id',
                                                   `write_off_amount` decimal(10,2) DEFAULT NULL COMMENT '核销金额',
                                                   `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                                   `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                                   `creator` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建人',
                                                   `updater` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '更新人',
                                                   `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除标志',
                                                   PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='收款单日志';

SET FOREIGN_KEY_CHECKS=1;



SET FOREIGN_KEY_CHECKS=0;

ALTER TABLE `ecw_receivable` MODIFY COLUMN `base_amount` decimal(10, 2) NULL DEFAULT NULL COMMENT '基准金额' AFTER `remark`;

ALTER TABLE `ecw_receivable` MODIFY COLUMN `write_off_amount` decimal(15, 2) NOT NULL DEFAULT 0.00 COMMENT '基准核销金额' AFTER `base_currency_id`;

SET FOREIGN_KEY_CHECKS=1;